---
type: api
title: Get data streams
description: Get a list of data streams created by installed integration packages.<br/><br/>[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-epm-data-streams
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-epm-data-streams
products:
  - Kibana
---

# Get data streams

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/epm/data_streams`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Description

Get a list of data streams created by installed integration packages.<br/><br/>[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.

## Query String Parameters

- `type` (enum)
  Filter by data stream type
  Values: `logs`, `metrics`, `traces`, `synthetics`, `profiles`
- `datasetQuery` (string)
  Filter data streams by dataset name
- `sortOrder` (enum  · default: asc)
  Sort order, ascending or descending
  Values: `asc`, `desc`
- `uncategorisedOnly` (boolean · default: false)
  When true, only return data streams that are not associated with a package

## Responses

#### `200`

Successful response

`application/json`

- `items` ([] object · max: 10000)
  - `name` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/epm/data_streams
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/epm/data_streams"
```

## Response Examples

#### Get data streams

List of data streams from installed packages

```json
{
  "data_streams": [
    {
      "ilm_policy": "logs-default",
      "index_template": "logs-system.syslog",
      "name": "logs-system.syslog-default",
      "package": "system",
      "package_version": "1.55.0",
      "title": "System syslog logs"
    }
  ]
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

